- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# nexmo – Send a SMS via nexmo

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Send a SMS message via nexmo

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key - / required |  | Nexmo API Key
api_secret - / required |  | Nexmo API Secret
client_cert path |  | PEM formatted certificate chain file to be used for SSL client authentication. This file can also include the key as well, and if the key is included, `client_key` is not required.
client_key path |  | PEM formatted file that contains your private key to be used for SSL client authentication. If `client_cert` contains both the certificate and key, this option is not required.
dest - / required |  | Phone number(s) to send SMS message to
force boolean | Choices: no ← yes | If `yes` do not get a cached copy. Alias `thirsty` has been deprecated and will be removed in 2.13. aliases: thirsty
force_basic_auth boolean | Choices: no ← yes | Credentials specified with url_username and url_password should be passed in HTTP Header.
http_agent string | Default: "ansible-httpget" | Header to identify as, generally appears in web server logs.
msg - / required |  | Message to text to send. Messages longer than 160 characters will be split into multiple messages
src - / required |  | Nexmo Number to send from
url string |  | HTTP, HTTPS, or FTP URL in the form (http|https|ftp)://[user[:pass]]@host.domain[:port]/path
url_password string |  | The password for use in HTTP basic authentication. If the url_username parameter is not specified, the url_password parameter will not be used.
url_username string |  | The username for use in HTTP basic authentication. This parameter can be used without url_password for sites that allow empty passwords
use_proxy boolean | Choices: no yes ← | If `no`, it will not use a proxy, even if one is defined in an environment variable on the target hosts.
validate_certs boolean | Choices: no yes ← | If `no`, SSL certificates will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    - name: Send notification message via Nexmo
      nexmo:
        api_key: 640c8a53
        api_secret: 0ce239a6
        src: 12345678901
        dest:
          - 10987654321
          - 16789012345
        msg: '{{ inventory_hostname }} completed'
      delegate_to: localhost

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Matt Martz (@sivel)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.